# Ogre::CreateGpuProgramScriptCompilerEvent Class Reference
General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::CreateGpuProgramScriptCompilerEvent:
[legend]

List of all members.

## Public Member Functions

| CreateGpuProgramScriptCompilerEvent (const String &file, const String &name, const String &resourceGroup, const String &source, const String &syntax, GpuProgramType programType)

## Public Attributes

String | mFile
String | mName
String | mResourceGroup
String | mSource
String | mSyntax
GpuProgramType | mProgramType
String | mType

## Static Public Attributes

static String | eventType

## Detailed Description

Definition at line 513 of file OgreScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::CreateGpuProgramScriptCompilerEvent::CreateGpuProgramScriptCompilerEvent | ( | const String & | file,
|  | const String & | name,
|  | const String & | resourceGroup,
|  | const String & | source,
|  | const String & | syntax,
|  | GpuProgramType | programType
| ) |  |

Definition at line 520 of file OgreScriptCompiler.h.

## Member Data Documentation

String Ogre::CreateGpuProgramScriptCompilerEvent::eventType `[static]`

Definition at line 518 of file OgreScriptCompiler.h.

String Ogre::CreateGpuProgramScriptCompilerEvent::mFile

Definition at line 516 of file OgreScriptCompiler.h.

String Ogre::CreateGpuProgramScriptCompilerEvent::mName

Definition at line 516 of file OgreScriptCompiler.h.

GpuProgramType Ogre::CreateGpuProgramScriptCompilerEvent::mProgramType

Definition at line 517 of file OgreScriptCompiler.h.

String Ogre::CreateGpuProgramScriptCompilerEvent::mResourceGroup

Definition at line 516 of file OgreScriptCompiler.h.

String Ogre::CreateGpuProgramScriptCompilerEvent::mSource

Definition at line 516 of file OgreScriptCompiler.h.

String Ogre::CreateGpuProgramScriptCompilerEvent::mSyntax

Definition at line 516 of file OgreScriptCompiler.h.

String Ogre::ScriptCompilerEvent::mType `[inherited]`

Definition at line 330 of file OgreScriptCompiler.h.

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:17